## org.eclipse.emf.ecore.impl
Class ESuperAdapter

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.ecore.impl.ESuperAdapter

All Implemented Interfaces:
  Adapter, Adapter.Internal

    public class ESuperAdapter

extends AdapterImpl

An adapter implementation for maintaining `EClass`es

Nested Class Summary
`static interface` `ESuperAdapter.Holder`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Field Summary
`protected static int` `ATTRIBUTES`
`protected static int` `ATTRIBUTES_MODIFIED`
`protected static int` `CONTAINMENTS_MODIFIED`
`protected static int` `LAST_ESUPER_ADAPTER_MODIFIED`
`protected int` `modifiedState`
`protected static int` `OPERATIONS`
`protected static int` `OPERATIONS_MODIFIED`
`protected static int` `REFERENCES`
`protected static int` `REFERENCES_MODIFIED`
`protected static int` `STRUCTURAL_FEATURES`
`protected static int` `STRUCTURAL_FEATURES_MODIFIED`
`protected EList<EClass>` `subclasses`
`protected static int` `SUPERS`
`protected static int` `SUPERS_MODIFIED`

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`ESuperAdapter()`

Method Summary
`static ESuperAdapter` `getESuperAdapter(EClass eClass)`
`protected static int` `getFeatureID(Notification notification)`
`EList<EClass>` `getSubclasses()`
`boolean` `isAdapterForType(java.lang.Object type)` Returns `false`
`boolean` `isAllAttributesCollectionModified()`
`boolean` `isAllContainmentsCollectionModified()`
`boolean` `isAllOperationsCollectionModified()`
`boolean` `isAllReferencesCollectionModified()`
`boolean` `isAllStructuralFeaturesCollectionModified()`
`boolean` `isAllSuperCollectionModified()`
`boolean` `isModified()`
`void` `notifyChanged(Notification notification)` Does nothing; clients may override so that it does something.
`void` `setAllAttributesCollectionModified(boolean set)`
`void` `setAllContainmentsCollectionModified(boolean set)`
`void` `setAllOperationsCollectionModified(boolean set)`
`void` `setAllReferencesCollectionModified(boolean set)`
`void` `setAllStructuralFeaturesCollectionModified(boolean set)`
`void` `setAllSuperCollectionModified(boolean set)`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, setTarget, unsetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### subclasses

    protected EList<EClass> subclasses

### ATTRIBUTES_MODIFIED

    protected static final int ATTRIBUTES_MODIFIED

See Also:
  Constant Field Values

### REFERENCES_MODIFIED

    protected static final int REFERENCES_MODIFIED

See Also:
  Constant Field Values

### STRUCTURAL_FEATURES_MODIFIED

    protected static final int STRUCTURAL_FEATURES_MODIFIED

See Also:
  Constant Field Values

### CONTAINMENTS_MODIFIED

    protected static final int CONTAINMENTS_MODIFIED

See Also:
  Constant Field Values

### OPERATIONS_MODIFIED

    protected static final int OPERATIONS_MODIFIED

See Also:
  Constant Field Values

### SUPERS_MODIFIED

    protected static final int SUPERS_MODIFIED

See Also:
  Constant Field Values

### LAST_ESUPER_ADAPTER_MODIFIED

    protected static final int LAST_ESUPER_ADAPTER_MODIFIED

See Also:
  Constant Field Values

### modifiedState

    protected int modifiedState

### SUPERS

    protected static final int SUPERS

See Also:
  Constant Field Values

### ATTRIBUTES

    protected static final int ATTRIBUTES

See Also:
  Constant Field Values

### REFERENCES

    protected static final int REFERENCES

See Also:
  Constant Field Values

### OPERATIONS

    protected static final int OPERATIONS

See Also:
  Constant Field Values

### STRUCTURAL_FEATURES

    protected static final int STRUCTURAL_FEATURES

See Also:
  Constant Field Values

Constructor Detail

### ESuperAdapter

    public ESuperAdapter()

Method Detail

### getESuperAdapter

    public static ESuperAdapter getESuperAdapter(EClass eClass)

### getFeatureID

    protected static int getFeatureID(Notification notification)

### isModified

    public boolean isModified()

### isAdapterForType

    public boolean isAdapterForType(java.lang.Object type)

  Description copied from class: `AdapterImpl`
  Returns `false`

  Specified by:
    `isAdapterForType` in interface `Adapter`
  Overrides:
    `isAdapterForType` in class `AdapterImpl`
  Parameters:
    `type` - the type.
  Returns:
    `false`
  See Also:
    `AdapterFactory.isFactoryForType(java.lang.Object)`

### notifyChanged

    public void notifyChanged(Notification notification)

  Description copied from class: `AdapterImpl`
  Does nothing; clients may override so that it does something.

  Specified by:
    `notifyChanged` in interface `Adapter`
  Overrides:
    `notifyChanged` in class `AdapterImpl`
  Parameters:
    `notification` - a description of the change.

### isAllAttributesCollectionModified

    public boolean isAllAttributesCollectionModified()

### setAllAttributesCollectionModified

    public void setAllAttributesCollectionModified(boolean set)

### isAllContainmentsCollectionModified

    public boolean isAllContainmentsCollectionModified()

### setAllContainmentsCollectionModified

    public void setAllContainmentsCollectionModified(boolean set)

### isAllReferencesCollectionModified

    public boolean isAllReferencesCollectionModified()

### setAllReferencesCollectionModified

    public void setAllReferencesCollectionModified(boolean set)

### isAllOperationsCollectionModified

    public boolean isAllOperationsCollectionModified()

### setAllOperationsCollectionModified

    public void setAllOperationsCollectionModified(boolean set)

### isAllStructuralFeaturesCollectionModified

    public boolean isAllStructuralFeaturesCollectionModified()

### setAllStructuralFeaturesCollectionModified

    public void setAllStructuralFeaturesCollectionModified(boolean set)

### isAllSuperCollectionModified

    public boolean isAllSuperCollectionModified()

### setAllSuperCollectionModified

    public void setAllSuperCollectionModified(boolean set)

### getSubclasses

    public EList<EClass> getSubclasses()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.